> For the complete documentation index, see [llms.txt](https://docs.iglee.fr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iglee.fr/resourceful-shulkers/configuration/add-types.md).

# Add Types

Allows you to add custom shulker types

Custom types are added by creating JSON files in the folder `config/resourcefulshulkers/types/` . Each file represent a custom type.\
\
Types always come with a custom essence item and can also have a custom shulker.

## The Type File

The type file has mandatory properties for the type and optional properties.

### Mandatory Properties

<details>

<summary><span data-gb-custom-inline data-tag="emoji" data-code="1faaa">🪪</span> Id</summary>

### Name : `id`

### Description :

This is the id of the type

You can only use the characters : `a-z 0-9 /`

### Example :

```json
"id": "resourcefulshulkers:overworld"
```

</details>

<details>

<summary><span data-gb-custom-inline data-tag="emoji" data-code="1f4b3">💳</span> Name</summary>

### Name : `name`

### Description :

This is the display name of the type\
If you want to have a colored name for the shulker you can use [Minecraft color codes](https://minecraft.wiki/w/Formatting_codes#Color_codes) with the symbol `§`

### Example :

```json
"name": "§2Overworld"
```

</details>

### Optional Properties

<details>

<summary><span data-gb-custom-inline data-tag="emoji" data-code="1f58c">🖌️</span> Texture</summary>

### Name : `texture`

### Default : `{id_namespace}:entity/shulker/types/{id_path}`

### Description :

The texture of the shulker entity for this type

### Example :

```json
"texture": "resourcefulshulkers:entity/shulker/types/overworld"
```

</details>

<details>

<summary><span data-gb-custom-inline data-tag="emoji" data-code="1f9ca">🧊</span> Create Shulker</summary>

### Name : `create_shulker`

### Default : `true`

### Description :

Does the type need a shulker to be generated.

### Example :

```json
"create_shulker": false
```

</details>

### Example

Here's an example for the nether type.

```json
{
  "id": "resourcefulshulkers:nether",
  "name": "§4Nether"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.iglee.fr/resourceful-shulkers/configuration/add-types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
